Debian Bug report logs - #219151
wvdial: should use debconf for install-time prompting

version graph

Package: wvdial; Maintainer for wvdial is Thierry Randrianiriana <thierry@debian.org>; Source for wvdial is src:wvdial.

Reported by: Branden Robinson <branden@progeny.com>

Date: Tue, 4 Nov 2003 17:03:02 UTC

Severity: normal

Tags: patch

Merged with 300213, 319118

Found in versions 1.54+20031017-1, 1.54.0-1

Done: Simon Law <sfllaw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#219151; Package wvdial. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@progeny.com>:
New Bug report received and forwarded. Copy sent to Patrick Patterson <ppatters@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@progeny.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wvdial: should use debconf for install-time prompting
Date: Tue, 04 Nov 2003 11:52:49 -0500
Package: wvdial
Version: 1.54+20031017-1
Severity: serious

This doesn't look like debconf to me.  :)

  Setting up wvdial (1.54+20031017-1) ...

  WVDIAL AUTOCONFIGURATION

  WvDial includes a program called wvdialconf, which can automatically
  detect your modem and create a /etc/wvdial.conf file.

  Autodetection may cause problems on some computers.

  Do you want to configure wvdial now? [Y/n] n   

  Okay.  You can run wvdialconf later or create /etc/wvdial.conf manually.

This should be fixed per Policy 3.10.1.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux zuul.progeny.com 2.4.20-586tsc #1 Mon Feb 10 11:12:41 EST 2003 i686
Locale: LANG=C, LC_CTYPE=en_US.UTF-8

Versions of packages wvdial depends on:
ii  libc6                   2.3.2-9          GNU C Library: Shared libraries an
ii  libwvstreams3-base      3.74+20031017-1  C++ network libraries for rapid ap
ii  ppp                     2.4.2+20031002-3 Point-to-Point Protocol (PPP) daem

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#219151; Package wvdial. Full text and rfc822 format available.

Acknowledgement sent to john@dhh.gt.org (John Hasler):
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. Full text and rfc822 format available.

Message #10 received at 219151@bugs.debian.org (full text, mbox):

From: john@dhh.gt.org (John Hasler)
To: 219151@bugs.debian.org
Cc: branden@progeny.com
Subject: wvdial: should use debconf for install-time prompting
Date: Mon, 17 Nov 2003 17:34:50 -0600
Branden writes:
> This should be fixed per Policy 3.10.1.


  3.10.1 Prompting in maintainer scripts

   Package maintainer scripts may prompt the user if necessary. Prompting
   should be done by communicating through a program, such as debconf,
   ^^^^^^
   which conforms to the Debian Configuration management specification,
   version 2 or higher. Prompting the user by other means, such as by
   hand[7], is now deprecated.
                   ^^^^^^^^^^

That's 'should' and 'deprecated'.  Not 'must' and 'forbidden'.  I don't see
how you can justify calling this 'serious'.
-- 
John Hasler
jhasler@debian.org



Severity set to `important'. Request was from "James A. Morrison" <jim@nit.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#219151; Package wvdial. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. Full text and rfc822 format available.

Message #17 received at 219151@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: Debian Bug Tracking System <219151@bugs.debian.org>
Subject: wvdial: can this also be a preconfiguration question?
Date: Mon, 26 Jan 2004 19:04:30 -0500
Package: wvdial
Severity: normal
Followup-For: Bug #219151

It would also be useful if these prompts could be made at the time of
preconfiguration rather than setup.  During my install, this was one
of only two times that I had to stop to do something after the
preconfiguration stage was done.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux soup 2.4.24-1-686 #1 Tue Jan 6 21:29:44 EST 2004 i686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#219151; Package wvdial. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. Full text and rfc822 format available.

Message #22 received at 219151@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 219151@bugs.debian.org, 219151-submitter@bugs.debian.org
Subject: Yes, please fix this
Date: Sat, 29 May 2004 11:16:57 +0200
I just installed sarge on an old laptop.  Via tasks I selected
hundreds of packages for installation and let the process run
overnight.  The process ran for several hours but stopped at
the wvdial question.  Without it, the laptop would have been
ready for use in the morning.

It is true that policy does not prohibit interrogating the user
at configure time.  Maybe it will never be possible to eliminate
_all_ configure time questions.  However it is possible to
eliminate all _routine_ questions from the configuration phase.
This _should_ become policy eventually (#206684).

But even without policy telling us to do so, we are so close to
having an uninterrupted configuration process that it seems a
shame not to take the last steps.
--
Thomas Hood




Message sent on to Branden Robinson <branden@progeny.com>:
Bug#219151. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#219151; Package wvdial. Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. Full text and rfc822 format available.

Message #30 received at 219151@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Debian Bug Tracking System <219151@bugs.debian.org>
Subject: wvdial: Wvdial causes installation to stop awaiting prompt
Date: Mon, 19 Jul 2004 11:41:01 +0100
Package: wvdial
Version: 1.54.0-1
Followup-For: Bug #219151

This bug is still present, and is one of the three things that caused
my brand new Sarge installation - which I left going overnight - to hang
awaiting unnecessary interaction.

The similar bug in newsflash also has severity important.

There is no reason for this package to cling to the user-inmical way of
stopping and asking direct questions in postinst, when the vast majority
of other packages have moved on to debconf and to asking anything required
in pre-configure.  I am not sure either how asking the user on a console
will work when the user selects a GUI installer such as synaptic, but
I don't use it so can't try that.

The policy wording may only say "should" and "may", but equally wvdial
"may" and "should" be upgraded.  It would be a great shame if, on Sarge's
release, this excellent package were one of the few still left to annoy
the busy Debian admin and spoil the well-integrated look of modern Debian.

Nick

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (700, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.6-1-386
Locale: LANG=en_GB, LC_CTYPE=en_GB

Versions of packages wvdial depends on:
ii  libc6                   2.3.2.ds1-13     GNU C Library: Shared libraries an
ii  libgcc1                 1:3.3.4-3        GCC support library
ii  libstdc++5              1:3.3.4-3        The GNU Standard C++ Library v3
ii  libwvstreams3-base      3.75.0-1         C++ network libraries for rapid ap
ii  ppp                     2.4.2+20040202-3 Point-to-Point Protocol (PPP) daem

-- no debconf information



Severity set to `normal'. Request was from Simon Law <sfllaw@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219151 300213 319118. Request was from Simon Law <sfllaw@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Simon Law <sfllaw@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@progeny.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 219151-close@bugs.debian.org (full text, mbox):

From: Simon Law <sfllaw@debian.org>
To: 219151-close@bugs.debian.org
Subject: Re: wvdial: should use debconf for install-time prompting
Date: Wed, 8 Mar 2006 09:27:13 -0500
Now we use DebConf for install-time prompting!

Happy hacking,
-- 
Simon Law                                 http://www.law.yi.org/~sfllaw/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 14:45:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:10:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.